> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layarva.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read one Queue ticket



## OpenAPI

````yaml /api/openapi.yaml get /api/public/v1/queue/tickets/{ticketId}
openapi: 3.1.0
info:
  title: Layarva Public API
  version: 1.0.0
  description: >-
    Implemented Queue and prayer-schedule public endpoints. Dashboard server
    actions are not public APIs.
servers:
  - url: https://app.layarva.com
security: []
paths:
  /api/public/v1/queue/tickets/{ticketId}:
    get:
      tags:
        - Queue
      summary: Read one Queue ticket
      operationId: getQueueTicket
      parameters:
        - name: ticketId
          in: path
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/CorrelationId'
      responses:
        '200':
          description: Current ticket state
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/QueueTicket'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          description: Ticket not found in the credential scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          $ref: '#/components/responses/RateLimited'
      security:
        - queueBearer: []
components:
  parameters:
    CorrelationId:
      name: X-Correlation-ID
      in: header
      required: false
      schema:
        type: string
        maxLength: 120
        pattern: ^[A-Za-z0-9_.:-]+$
  schemas:
    QueueTicket:
      type: object
      properties:
        id:
          type: string
        ticketId:
          type: string
        ticketNumber:
          type: string
        status:
          type: string
        source:
          type: string
        queueUnitId:
          type: string
        locationId:
          type: string
        serviceId:
          type: string
        externalReference:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
          format: date-time
        calledAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        servingAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
  responses:
    Unauthorized:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    Forbidden:
      description: Credential scope or Queue Unit prevents the operation
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    RateLimited:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    queueBearer:
      type: http
      scheme: bearer
      bearerFormat: Queue API key

````